### Method

# Gtk RecentInfo create_app_info

#### Declaration [src]

    GAppInfo*
    gtk_recent_info_create_app_info (
      GtkRecentInfo* info,
      const char* app_name,
      GError** error
    )

#### Description [src]

Creates a `GAppInfo` for the specified `GtkRecentInfo`

In case of error, `error` will be set either with a `GTK_RECENT_MANAGER_ERROR` or a `G_IO_ERROR`.

#### Parameters

`app_name`

  Type: `const char*`

  The name of the application that should be mapped to a `GAppInfo`; if `NULL` is used then the default application for the MIME type is used.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GAppInfo`

The newly created `GAppInfo`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.